Subject: IESG review of RFC Editor documents

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 26 Mar 2004 06:51:03 -0800

The IESG has proposed a change in its present review procedures for IESG 
review of documents submitted directly to the RFC Editor for publication.

The IESG will be discussing this in detail, and with the RFC Editor, next 
week - the input document for that discussion is published as an I-D below

Your input is welcome!

Copy of the announcement below.

(note - between solutions, icar, poised and the IETF list, I chose the IETF 
list - I will post notes to the 3 other lists saying that I've asked for 
discussion of this on the IETF list.... judgment call).

              Harald

                Harald Alvestrand

---------- Forwarded Message ----------
Date: 25. mars 2004 15:38 -0500
From: [email-masked]
To: IETF-Announce
Cc: [email-masked]
Subject: I-D ACTION:draft-iesg-rfced-documents-00.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories. This draft is a work item of the Internet Engineering Steering
Group Working Group of the IETF.

	Title		: The IESG and RFC Editor documents: Procedures
	Author(s)	: H. Alvestrand
	Filename	: draft-iesg-rfced-documents-00.txt
	Pages		: 6
	Date		: 2004-3-25
	
This document gives the IESG's procedures for handling documents
   submitted for RFC publication via the RFC Editor, subsequent to the
   changes proposed by the IESG at the Seoul IETF, March 2004.

   NOTE IN DRAFT: These guidelines are proposed, not adopted. Comments
   are welcome - please send them to [email-masked].

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-iesg-rfced-documents-00.txt

To remove yourself from the IETF Announcement list, send a message to
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-iesg-rfced-documents-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-iesg-rfced-documents-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---------- End Forwarded Message ----------

Subject: I-D ACTION:draft-iesg-rfced-documents-00.txt
From: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Date: Thu, 25 Mar 2004 15:38:34 -0500
List-Id: <iesg.ietf.org>

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Engineering Steering Group Working Group of the IETF.

	Title		: The IESG and RFC Editor documents: Procedures
	Author(s)	: H. Alvestrand
	Filename	: draft-iesg-rfced-documents-00.txt
	Pages		: 6
	Date		: 2004-3-25
	
This document gives the IESG's procedures for handling documents
   submitted for RFC publication via the RFC Editor, subsequent to the
   changes proposed by the IESG at the Seoul IETF, March 2004.

   NOTE IN DRAFT: These guidelines are proposed, not adopted. Comments
   are welcome - please send them to [email-masked].

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-iesg-rfced-documents-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-iesg-rfced-documents-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-iesg-rfced-documents-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Susan Harris <[email-masked]>
Date: Fri, 26 Mar 2004 10:26:10 -0500 (EST)

> Copy of the announcement below.

One quick question Harald - am I right that the new procedure applies only
to RFCs, not I-Ds?   Any plans in the works for changing the way I-Ds are
reviewed?

---

From: John C Klensin <[email-masked]>
Date: Fri, 26 Mar 2004 10:46:30 -0500

Harald,

As you know, I favor moving in this general direction.  Three 
comments on specifics:

(1) The "standard IESG note" discussed in section 4 seems 
tailored to documents that specify protocols or operational 
procedures and, for that purpose, the notes suggested seem 
plausible.  However, a some proportion of the independent 
submission documents submitted to the RFC Editor are of the 
nature of commentary, without proposing an Internet protocol or 
the equivalent.  A somewhat toned-down version of the note might 
be appropriate for that purpose.

(2) We have, for many years, provided for the publication of the 
work of other standards bodies or groups for the convenience of 
the IETF community.  For that case, the "standard IESG note" may 
not be quite right and might actually be taken as insulting to 
the other group.   Instead, some statement noting that the 
document is a document of group X, was published with their 
permission (or at their request), and that publication is for 
the convenience of the Internet (or IETF) community but does not 
constitute endorsement or  approval by the IETF would seem to me 
to be quite sufficient.

(3) The traditional exception for April 1 RFCs should probably 
be reflected in this document.  This could most easily be 
accomplished, IMO, by modifying the first paragraph of section 3 
to indicate that the IESG and RFC Editor (or the IAB and RFC 
Editor, see immediately below) may agree on classes of documents 
that are not subject to this review.

(4) The document ignores the traditional path of a document from 
the IAB to the RFC Editor, in which IESG review has been treated 
as an optional courtesy, not a requirement.  It is also not 
clear that the IESG should request or recommend the rather 
strongly-worded disclaimers of section 4 for IAB documents.  In 
any event, it is not, IMO, within the authority of the IESG to 
change the relationship between the RFC Editor and IAB.  This 
could, of course, be subsumed under the "classes of documents" 
exception proposed above if the agreement involved the IAB and 
RFC Editor.

Nice job.
    john

--On Friday, 26 March, 2004 06:51 -0800 Harald Tveit Alvestrand 
<[email-masked]> wrote:

> The IESG has proposed a change in its present review
> procedures for IESG review of documents submitted directly to
> the RFC Editor for publication.
>
> The IESG will be discussing this in detail, and with the RFC
> Editor, next week - the input document for that discussion is
> published as an I-D below
>
> Your input is welcome!
>
> (note - between solutions, icar, poised and the IETF list, I
> chose the IETF list - I will post notes to the 3 other lists
> saying that I've asked for discussion of this on the IETF
> list.... judgment call).

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 26 Mar 2004 07:42:22 -0800

> to RFCs, not I-Ds?   Any plans in the works for changing the way I-Ds are

Susan,

not sure I understand you.....

all RFCs are I-Ds before they become RFCs, and review only makes sense 
before they become RFCs.
There's no proposal to change the way I-Ds get published, and this proposal 
does not affect the treatment of I-Ds that are worked on within the IETF.

              Harald

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 26 Mar 2004 14:54:03 -0800

Thanks John - I will incorporate words based on your concerns in the next 
revision!

               Harald

--On 26. mars 2004 10:46 -0500 John C Klensin <[email-masked]> wrote:

> Harald,
>
> As you know, I favor moving in this general direction.  Three comments on
> specifics:

---

From: "James Seng" <[email-masked]>
Date: Sun, 28 Mar 2004 01:35:06 +0800

Few questions:

1. Section 4 say that "For documents that are independent of the IETF process:
This document is not a candidate for any level of Internet Standard."

Does this means that an individual submission can only be Informational only?
ie. not even experimental? If so, how does this fit into what happened in IMAA
BoF in Seoul?

(The conclusion is no working group, but wrap up and docs some of the
implementations as possibly experimental RFCs via individual submissions)

2. Section 3 talks about the various IESG responses. Most of it makes sense
but the last one: "The IESG thinks that this document extends an IETF protocol
in a way that requires IETF review, and should therefore not be published
without IETF review."

It wasn't very clear when will the above apply.

Beside, wasn't individual submission already (maybe) subjected to 4 weeks last
call? Does this qualify as 'IETF review'?

Or 'IETF review' implies review by a IETF Working Group?

-James Seng

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Sun, 28 Mar 2004 22:27:28 -0800

> Few questions:

Thanks, James!
>
> 1. Section 4 say that "For documents that are independent of the IETF
> process: This document is not a candidate for any level of Internet
> Standard."
>
> Does this means that an individual submission can only be Informational
> only? ie. not even experimental? If so, how does this fit into what
> happened in IMAA BoF in Seoul?

Experimental documents are not (in themselves) candidates for any level of 
Internet Standard. Revisions of the ideas therein may be - and the same 
thing can happen to Informationals. This needs to be clearer.....

> 2. Section 3 talks about the various IESG responses. Most of it makes
> sense but the last one: "The IESG thinks that this document extends an
> IETF protocol in a way that requires IETF review, and should therefore
> not be published without IETF review."
>

It wasn't very clear to me either when I wrote it.

> Beside, wasn't individual submission already (maybe) subjected to 4 weeks
> last call? Does this qualify as 'IETF review'?

No - the Last Call is only done for standards-track and BCP, not for the 
Info and Experimental sent in via the RFC Editor. (sometimes we've done it 
in the past, but it's unlikely to happen under this procedure.)

and yes, a 4-week Last Call + the procedure that led an AD to conclude that 
it was ready for last call *does* qualify as "IETF review"!

---

From: James Seng <[email-masked]>
Date: Mon, 29 Mar 2004 16:50:08 +0800

A general opinion:

I am incline towards looking for ways reduce the workload of the RFC 
editors and if possible the IESG. The size of the IETF these days does 
not allows us to function in the "old ways" without substainable support.

As such, I believe a review of RFC 1543 may be useful. I mean, most 
people only see I-Ds and RFCs and have largely ignore the other STDs and 
BCPs.

Maybe we just have too many classification under RFC series and perhaps 
we should consider having something between I-D and RFC for 
Informational and Experimental doc. Such class may be published with 
little review from IESG and less work on RFC Editors (so long the std 
templates and copyrights are in place)

-James Seng

Harald Tveit Alvestrand wrote:
> Experimental documents are not (in themselves) candidates for any level 
> of Internet Standard. Revisions of the ideas therein may be - and the 
> same thing can happen to Informationals. This needs to be clearer.....
> 
> Info and Experimental sent in via the RFC Editor. (sometimes we've done 
> it in the past, but it's unlikely to happen under this procedure.)
> 
> and yes, a 4-week Last Call + the procedure that led an AD to conclude 
> that it was ready for last call *does* qualify as "IETF review"!
> 
> 
> 
>